#ifndef _Handle_PColPGeom_HArray1OfBezierCurve_HeaderFile
#define _Handle_PColPGeom_HArray1OfBezierCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColPGeom_HArray1OfBezierCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColPGeom_HArray1OfBezierCurve);

class Handle(PColPGeom_HArray1OfBezierCurve) : public Handle(Standard_Persistent) {
  public:

    Handle(PColPGeom_HArray1OfBezierCurve)():Handle(Standard_Persistent)() {} 
    Handle(PColPGeom_HArray1OfBezierCurve)(const Handle(PColPGeom_HArray1OfBezierCurve)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColPGeom_HArray1OfBezierCurve)(const PColPGeom_HArray1OfBezierCurve* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColPGeom_HArray1OfBezierCurve)& operator=(const Handle(PColPGeom_HArray1OfBezierCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColPGeom_HArray1OfBezierCurve)& operator=(const PColPGeom_HArray1OfBezierCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColPGeom_HArray1OfBezierCurve* operator->() const 
     {
      return (PColPGeom_HArray1OfBezierCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColPGeom_HArray1OfBezierCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
